Package org.apache.tapestry5.ioc

# Interface AnnotationAccess

All Known Subinterfaces:
  `AspectInterceptorBuilder<T>`, `MethodAdviceReceiver`, `ServiceBuilderResources`, `ServiceDef3`, `ServiceResources`

All Known Implementing Classes:
  `AbtractAspectInterceptorBuilder`, `AnnotationAccessImpl`, `AspectInterceptorBuilderImpl`, `ServiceDefImpl`, `ServiceResourcesImpl`

public interface AnnotationAccess
Introduced for Tapestry 5.3, contains new methods to provide access to annotations on the class, and on methods of the class. In rare cases, the same annotation type will appear on the service interface and on the class (or method implementation in the class); the implementation annotation always has precedence over the interface annotation.

Since:
  5.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AnnotationProvider`
  `getClassAnnotationProvider()`
  Returns a provider for annotations on the service class and interface.
  `AnnotationProvider`
  `getMethodAnnotationProvider(String methodName, Class... parameterTypes)`
  Returns a provider for annotations of a method of the class.

- ## Method Details

  - ### getClassAnnotationProvider

    AnnotationProvider getClassAnnotationProvider()
    Returns a provider for annotations on the service class and interface. This will reflect annotations defined by the implementation class itself, plus annotations defined by the service interface (implementation class annotations take precedence).
    Returns:
      an AnnotationProvider instance.

  - ### getMethodAnnotationProvider

    AnnotationProvider getMethodAnnotationProvider(String methodName, Class... parameterTypes)
    Returns a provider for annotations of a method of the class. This includes annotations on the implementation method, plus annotations on the corresponding service interface method (if such a method exists), with precedence on the implementation class method annotations.
    Parameters:
      `methodName` - the name of the method.
      `parameterTypes` - the types of the parameters of the method.
    Returns:
      an AnnotationProvider instance. *